Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services.assets
Class ClasspathAssetRequestHandler

    java.lang.Object
      org.apache.tapestry5.internal.services.assets.ClasspathAssetRequestHandler

All Implemented Interfaces:
  AssetRequestHandler

    public class ClasspathAssetRequestHandler

extends java.lang.Object
implements AssetRequestHandler

A handler for asset requests for classpath assets (within a specific folder). Each mapping of the `ClasspathAssetAliasManager` gets one of these.

Since:
  5.2.0

Constructor Summary
`ClasspathAssetRequestHandler(ResourceStreamer streamer, AssetResourceLocator assetResourceLocator, java.lang.String baseFolder)`

Method Summary
`boolean` | `handleAssetRequest(Request request, Response response, java.lang.String extraPath)` Given a request targeted (via the handler id) to the specific handler, process the request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClasspathAssetRequestHandler

    public ClasspathAssetRequestHandler(ResourceStreamer streamer,
                                        AssetResourceLocator assetResourceLocator,
                                        java.lang.String baseFolder)

Method Detail

### handleAssetRequest

    public boolean handleAssetRequest(Request request,
                                      Response response,
                                      java.lang.String extraPath)
                               throws java.io.IOException

  Description copied from interface: `AssetRequestHandler`
  Given a request targeted (via the handler id) to the specific handler, process the request. The handler is responsible for processing the request, sending back either a bytestream (via `Response.getOutputStream(String)`) or an error response (via `Response.sendError(int, String)`). It is the handler's responsibility to allow for client-side caching (possibly sending an `HttpServletResponse.SC_NOT_MODIFIED` response).

  The handler should return true if it provided a response. If the handler returns false, this indicates that the extra path did not identify a known asset (virtual or otherwise) and the AssetDispatcher service should send a `HttpServletResponse.SC_NOT_FOUND` response.

  Specified by:
    `handleAssetRequest` in interface `AssetRequestHandler`
  Parameters:
    `request` - incoming asset request
    `response` - used to send a response to client
    `extraPath` - additional path to identify the specific asset
  Returns:
    true if request handler, false if asset not found
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.